API reference › KP

KP Ruling Planet Intervals API

The seven KP ruling planets over a window, as intervals

POST/v1/kp/ruling-intervals

2 credits · Secret key (test or live) · getKpRulingIntervals

Each interval is one unbroken set of ruling planets at the place, to the minute. At most 6 hours.

Request body

  • at string (date-time) required
  • hours number

    ≥ 0.25 · ≤ 6 · default 2

  • place Coordinates or object or object required

    Coordinates, a place_id from /v1/places/search, or a free-text query. A vague query returns 422 place_ambiguous with candidates; the API never guesses.

    One of:

    1. Coordinates
      Fields
      • latitude number required

        ≥ -90 · ≤ 90

      • longitude number required

        ≥ -180 · ≤ 180

      No other fields are accepted.

    2. object
      Fields
      • place_id string required

      No other fields are accepted.

    3. object
      Fields
      • query string required

        at least 2 characters · at most 120 characters

      No other fields are accepted.

No other fields are accepted.

Response

JSON { data, meta, warnings }, where data is:

  • resolution string required

    one of minute

  • count integer required
  • intervals array of object required
    • from string (date-time) required
    • to string (date-time) required
    • day_lord string required
    • moon object required
      Fields
      • sign_lord string required
      • star_lord string required
      • sub_lord string required
    • lagna object required
      Fields
      • sign_lord string required
      • star_lord string required
      • sub_lord string required

Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.

Example request

curl -X POST 'https://api.astrologics.in/v1/kp/ruling-intervals' \
  -H 'Authorization: Bearer al_test_YOUR_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"at":"2026-11-02T06:00:00Z","hours":1,"place":{"latitude":28.6139,"longitude":77.209}}'
Node.js
const res = await fetch("https://api.astrologics.in/v1/kp/ruling-intervals", {
  method: "POST",
  headers: { Authorization: "Bearer al_test_YOUR_KEY", "Content-Type": "application/json" },
  body: JSON.stringify({
    "at": "2026-11-02T06:00:00Z",
    "hours": 1,
    "place": {
      "latitude": 28.6139,
      "longitude": 77.209
    }
  }),
});
console.log(JSON.stringify(await res.json(), null, 2));
Python
import json
import urllib.error
import urllib.request

body = {
    "at": "2026-11-02T06:00:00Z",
    "hours": 1,
    "place": {
        "latitude": 28.6139,
        "longitude": 77.209,
    },
}

req = urllib.request.Request(
    "https://api.astrologics.in/v1/kp/ruling-intervals",
    method="POST",
    headers={"Authorization": "Bearer al_test_YOUR_KEY", "Content-Type": "application/json"},
    data=json.dumps(body).encode(),
)
try:
    with urllib.request.urlopen(req) as res:
        print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
    print(err.code, err.read().decode())
PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/kp/ruling-intervals');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY', 'Content-Type: application/json'],
    CURLOPT_POSTFIELDS => '{"at":"2026-11-02T06:00:00Z","hours":1,"place":{"latitude":28.6139,"longitude":77.209}}',
    CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;

Example response

200 OK · 4,805 characters
{
  "data": {
    "resolution": "minute",
    "count": 12,
    "intervals": [
      {
        "from": "2026-11-02T06:00:00.000Z",
        "to": "2026-11-02T06:07:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "jupiter",
          "star_lord": "venus",
          "sub_lord": "jupiter"
        }
      },
      {
        "from": "2026-11-02T06:07:00.000Z",
        "to": "2026-11-02T06:16:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "jupiter",
          "star_lord": "venus",
          "sub_lord": "saturn"
        }
      },
      {
        "from": "2026-11-02T06:16:00.000Z",
        "to": "2026-11-02T06:23:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "jupiter",
          "star_lord": "venus",
          "sub_lord": "mercury"
        }
      },
      {
        "from": "2026-11-02T06:23:00.000Z",
        "to": "2026-11-02T06:26:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "jupiter",
          "star_lord": "venus",
          "sub_lord": "ketu"
        }
      },
      {
        "from": "2026-11-02T06:26:00.000Z",
        "to": "2026-11-02T06:29:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "jupiter",
          "star_lord": "sun",
          "sub_lord": "sun"
        }
      },
      {
        "from": "2026-11-02T06:29:00.000Z",
        "to": "2026-11-02T06:33:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "jupiter",
          "star_lord": "sun",
          "sub_lord": "moon"
        }
      },
      {
        "from": "2026-11-02T06:33:00.000Z",
        "to": "2026-11-02T06:36:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "jupiter",
          "star_lord": "sun",
          "sub_lord": "mars"
        }
      },
      {
        "from": "2026-11-02T06:36:00.000Z",
        "to": "2026-11-02T06:39:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "jupiter",
          "star_lord": "sun",
          "sub_lord": "rahu"
        }
      },
      {
        "from": "2026-11-02T06:39:00.000Z",
        "to": "2026-11-02T06:43:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "saturn",
          "star_lord": "sun",
          "sub_lord": "rahu"
        }
      },
      {
        "from": "2026-11-02T06:43:00.000Z",
        "to": "2026-11-02T06:50:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "saturn",
          "star_lord": "sun",
          "sub_lord": "jupiter"
        }
      },
      {
        "from": "2026-11-02T06:50:00.000Z",
        "to": "2026-11-02T06:58:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "saturn",
          "star_lord": "sun",
          "sub_lord": "saturn"
        }
      },
      {
        "from": "2026-11-02T06:58:00.000Z",
        "to": "2026-11-02T07:00:00.000Z",
        "day_lord": "moon",
        "moon": {
          "sign_lord": "moon",
          "star_lord": "mercury",
          "sub_lord": "venus"
        },
        "lagna": {
          "sign_lord": "saturn",
          "star_lord": "sun",
          "sub_lord": "mercury"
        }
      }
    ]
  },
  "meta": {
    "request_id": "req_example",
    "api_version": "v1",
    "engine_version": "2026.10.10",
    "mode": "live",
    "credits_charged": 2
  },
  "warnings": []
}
Try it

Leave empty to use the shared demo key (limited). Test keys only: never charged. Kept in this browser tab and sent through this site to the API. Create one

More in KP

Get a free API key KP product page